
Foreman - Bug #26509

notifications: TypeError: Cannot read property 'status' of undefined

04/02/2019 12:07 PM - Ron Lavi

Status: Closed   

Priority: Normal   

Assignee: Ron Lavi   

Category: Web Interface   

Target version: 1.22.0   

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6643

  

Description

calling `onGetNotificationsFailed` with `error.response.status`

when response is undefined cause this error.

a small fix will help to remove it.

Associated revisions

Revision 98974ec7 - 04/02/2019 01:12 PM - Ron Lavi

Fixes #26509 - notifications 'status' of undefined

History

#1 - 04/02/2019 12:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6643 added

#2 - 04/02/2019 01:12 PM - Ohad Levy

- Target version set to 1.22.0

- Fixed in Releases 1.22.0 added

#3 - 04/02/2019 02:01 PM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset 98974ec786185deac00e90850c7ece1d786077e6.

#4 - 04/21/2019 09:32 PM - Tomer Brisker

- Category set to Web Interface
